Bug 126804 - RFE : cURL 7.12.0 is available
RFE : cURL 7.12.0 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: curl (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
http://curl.haxx.se/
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-27 09:01 EDT by Peter van Egdom
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 7.12.0-2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-28 16:45:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter van Egdom 2004-06-27 09:01:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:

According to the cURL homepage (http://curl.haxx.se/) there is a new
stable version (7.12.0) of cURL available.

Fedora Development currently carries package "curl-7.11.1".

Version 7.12.0 of cURL has the following user-visible improvements :

  * added ability to "upload" to file:// URLs
  * curl --proxy-digest is a new command line option

and has the following bugfixes :

  * improved peer certificate name verification
  * allocation failures cause no leaks nor crashes
  * the progress meter display now handles file sizes up to full 8
exabytes (which is as high a signed 64 bit number can reach)
  * general HTTP authentication improvements
  * HTTP Digest authentication with the proxy works
  * multipart formposting with -F and file names with spaces work again

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Check out http://curl.haxx.se/
2. Check out Fedora Core Development
3.
    

Actual Results:
1. 7.12.0
2. 7.11.1

Expected Results:
1. 7.12.0
2. 7.12.0

Additional info:

Note You need to log in before you can comment on or make changes to this bug.